Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.varia.deployment.convertor
Interface WebLogicConvertorMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  WebLogicConvertor

public interface WebLogicConvertorMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getDatasource()`
`String` | `getDatasourceMapping()`
`String` | `getDeployer()`
`String` | `getRemoveTable()`
`String` | `getWlVersion()`
`void` | `setDatasource(String datasource)`
`void` | `setDatasourceMapping(String datasourceMapping)`
`void` | `setDeployer(String name)`
`void` | `setRemoveTable(String removeTable)`
`void` | `setWlVersion(String wlVersion)`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### getDeployer

    public String getDeployer()

### setDeployer

    public void setDeployer(String name)

### getWlVersion

    public String getWlVersion()

### setWlVersion

    public void setWlVersion(String wlVersion)

### getRemoveTable

    public String getRemoveTable()

### setRemoveTable

    public void setRemoveTable(String removeTable)

### getDatasource

    public String getDatasource()

### setDatasource

    public void setDatasource(String datasource)

### getDatasourceMapping

    public String getDatasourceMapping()

### setDatasourceMapping

    public void setDatasourceMapping(String datasourceMapping)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.